#include <iostream>

using namespace std;

int main()
{
	double p[200000], a[200000], suma, max = 0;
	int n;

	cin >> n;
	for (int i = 0;i < n;i++)
	{
		cin >> a[i];
		cin >> p[i];
	}
	for (int i = 0;i < n;i++)
	{
		suma = 0;
		for (int j = 0;j < n;j++)
		{
			if (p[j] >= p[i])
			{
				suma += a[j];
			}
		}
		suma *= (p[i] / 100.0);
		if (suma > max)
			max = suma;
	}
	cout << max;
	return 0;
}